package com.cusc.adas.v2x.vo;

import java.util.HashMap;
import java.util.Map;

import com.cusc.adas.v2x.assist.vo.TrafficLight;
import com.cusc.adas.v2x.clouddecision.vo.AbnormalVehicle;
import com.cusc.adas.v2x.clouddecision.vo.AutoSpeedLimit;
import com.cusc.adas.v2x.clouddecision.vo.EmergencyVehicle;
import com.cusc.adas.v2x.clouddecision.vo.FawWarnning;
import com.cusc.adas.v2x.clouddecision.vo.RSIWarnning;
import com.cusc.adas.v2x.clouddecision.vo.TrafficLightInfo;

public class DynamicsClassMap {
	private static   Map<String,Map<Short,Class>> map = new HashMap<>();
	
	static {
		Map<Short,Class> cloundDecisionsubMap = new  HashMap<>();
		
		// 参考 adviceType 列表定义
		cloundDecisionsubMap.put((short)1, TrafficLightInfo.class);//信号灯路口车速引导功能指令
		cloundDecisionsubMap.put((short)5, AutoSpeedLimit.class);//动态车道级限速指令
		cloundDecisionsubMap.put((short)9, FawWarnning.class);//前向碰撞预警
		cloundDecisionsubMap.put((short)11, AbnormalVehicle.class);//异常车辆预警
		cloundDecisionsubMap.put((short)13, EmergencyVehicle.class);//紧急车辆预警
		cloundDecisionsubMap.put((short)17, RSIWarnning.class);//通用 RSI 预警
		map.put("CloudDecision",cloundDecisionsubMap );
		
		Map<Short,Class> assistSubMap = new  HashMap<>();
		assistSubMap.put((short)7, TrafficLight.class);
		map.put("assist",assistSubMap );
		
		
	
	}
	
	public static  Class get(String classtype,Short classkey) {
		Map<Short,Class> subMap =  map.get(classtype);
		return subMap.get(classkey);
	}

}
